<%@page import="java.util.*,java.text.SimpleDateFormat,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*" %>
	
	
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if (session.getAttribute("objetoSeguridad") == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
<%  } %>
<%@ include file="/m05bIdioma.inc"%>			
<HTML>
<head>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>	
		<script>
		   function Matricula (marca,modelo,color,kmsalida,fkmact) {
			     //top.formAsignaciones.Matricula.value = matricula;
			     top.formAsignaciones.Marca.value = marca;
			     top.formAsignaciones.Modelo.value = modelo;
			     top.formAsignaciones.Color.value = color;
			     top.formAsignaciones.Kmsalida.value = kmsalida;
			     top.formAsignaciones.Kmsal.value = kmsalida;
				 top.formAsignaciones.FKmAct.value = fkmact;
				 top.formAsignaciones.KmAct.value = kmsalida;
				 formatNumero(top.formAsignaciones.Kmsalida);
				 formatNumero(top.formAsignaciones.KmAct);
		   }  // Fin funcion Matricula   
		</script>
</head>

<%	  
 


java.sql.Connection conn=null;
	  PreparedStatement pstmt = null;
	  ResultSet rs = null;
	  m05bComun comun = new m05bComun();
	  m05bCampos miCampo = new m05bCampos();
	  m05bFileLog miLog = new m05bFileLog();
	  m05bConexion miConex = new m05bConexion();
	  conn = miConex.getConnection();
	  String strMatricula="";
	  String sql="";
	  String aux1="", aux2="", aux3="", aux4="", aux5="";
      strMatricula=request.getParameter("Matricula");
      if (strMatricula != null)
      	  strMatricula = strMatricula.toUpperCase();
	  	  sql = "select M." + m05bConstantes.COL_99_DESCRIPCION + ",NVL( C." + campoTexto+m05bConstantes.COL_99_DESCRIPCION +
	  		 	",C."+ campoTexto+m05bConstantes.COL_99_DESCRIPCION +
	          ")," + m05bConstantes.COL_34_KMACTUALES + "," + m05bConstantes.COL_34_FKMACT + 
	          "," + m05bConstantes.COL_17_DESCRIP + 
	          " FROM " + m05bConstantes.TAB_VEHICULOS + "," + m05bConstantes.TAB_DESCRIPCIONES +
	          " M,  " + m05bConstantes.TAB_DESCRIPCIONES + " C ," + m05bConstantes.TAB_MODELOS + 
	          " where " + m05bConstantes.COL_34_MATRICULA + "='" + strMatricula +  "'" +	
			  " AND " + m05bConstantes.COL_34_SITUACION + " = '" + m05bConstantes.VEH_ALTA + "'" +	                  
			  " AND " + m05bConstantes.COL_34_MODELO + " = " + m05bConstantes.COL_17_CODMOD +
	          " AND ((M." + m05bConstantes.COL_99_CODTABLA + " = " + m05bConstantes.DESC_MARCAS + 
	          " AND M." + m05bConstantes.COL_99_CODDESC + " = " + m05bConstantes.COL_34_MARCA + ") AND (C." + m05bConstantes.COL_99_CODTABLA +
	          " (+) =" + m05bConstantes.DESC_COLORES + " AND C." + m05bConstantes.COL_99_CODDESC + " (+) = " + m05bConstantes.COL_34_COLOR + "))";
	  	
  try {
	     if ( !sql.equals("") ) {
	 
				   pstmt = conn.prepareStatement(sql.toString());
				   rs = pstmt.executeQuery();
			       if (rs.next()){
			                   aux1=rs.getString(m05bConstantes.COL_17_DESCRIP);
				               aux3=rs.getString(m05bConstantes.COL_34_KMACTUALES)==null?"0":rs.getString(m05bConstantes.COL_34_KMACTUALES);
				               aux2=rs.getString(2)==null?"":rs.getString(2);
				               aux4=rs.getString(1)==null?"":rs.getString(1);
				               aux5=rs.getString(m05bConstantes.COL_34_FKMACT); 
				               if(rs.getDate(m05bConstantes.COL_34_FKMACT)!=null){
				            	   if(idiomaSes.equals("es"))
				               			aux5=new SimpleDateFormat("dd/MM/yyyy").format(rs.getDate(m05bConstantes.COL_34_FKMACT));
				            	   else
				            		   aux5=new SimpleDateFormat("yyyy/MM/dd").format(rs.getDate(m05bConstantes.COL_34_FKMACT));
				               }  
			       }  // Fin if  next
	     }  // Fin if sql
	    if ( (!aux1.equals("") ) && (!aux5.equals("error")) ) {
		         	  // Si la matrícula es correcta
		%>
			           <script>
				                 Matricula ("<%=aux4%>","<%=aux1%>","<%=aux2%>","<%=aux3%>","<%=aux5%>");
			           </script>
		         	   	   
	    <%}  else { %>
		                 <script>
			                    alert(dameAlerta(idioma, 220));
			                    top.formAsignaciones.Matricula.value="";
								top.formAsignaciones.Color.value="";
					            top.formAsignaciones.Marca.value="";
								top.formAsignaciones.Modelo.value="";
		                 </script>
		<%       
		 }  // Fin else aux
	  } catch (Exception ex1){
		  
	   		miLog.addTraza(ex1);
	  } finally {
					if (rs != null)
						rs.close();
					if (pstmt != null)
						pstmt.close();
					if (conn != null)
						conn.close();
	  } %>
<BODY bgcolor="white" onkeydown="cancelaEnter();">
</BODY>
</HTML>